
_ReadEEPROM:

;I2C.c,27 :: 		void ReadEEPROM(char adr_h, char adr_l)                                        //   24512 0-256 
;I2C.c,32 :: 		for (k=0; k<64; k++)
	CLRF       ReadEEPROM_k_L0+0
L_ReadEEPROM0:
	MOVLW      64
	SUBWF      ReadEEPROM_k_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ReadEEPROM1
;I2C.c,34 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,35 :: 		I2C1_Wr(0xA2);                                                                // send byte via I2C  (device address + W)
	MOVLW      162
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,36 :: 		I2C1_Wr(adr_h);                                                               //   
	MOVF       FARG_ReadEEPROM_adr_h+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,37 :: 		I2C1_Wr(k + adr_l);                                                           // send byte (data address)
	MOVF       FARG_ReadEEPROM_adr_l+0, 0
	ADDWF      ReadEEPROM_k_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,38 :: 		I2C1_Repeated_Start();                                                        // issue I2C signal repeated start
	CALL       _I2C1_Repeated_Start+0
;I2C.c,39 :: 		I2C1_Wr(0xA3);                                                                // send byte (device address + R)
	MOVLW      163
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,40 :: 		BUFfrom[k] = I2C1_Rd(0u);                                                     //
	MOVF       ReadEEPROM_k_L0+0, 0
	ADDLW      _BUFfrom+0
	MOVWF      FLOC__ReadEEPROM+0
	CLRF       FARG_I2C1_Rd_ack+0
	CALL       _I2C1_Rd+0
	MOVF       FLOC__ReadEEPROM+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;I2C.c,41 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,32 :: 		for (k=0; k<64; k++)
	INCF       ReadEEPROM_k_L0+0, 1
;I2C.c,43 :: 		}
	GOTO       L_ReadEEPROM0
L_ReadEEPROM1:
;I2C.c,44 :: 		ByteRS=0;                                                                     // 
	CLRF       _ByteRS+0
;I2C.c,45 :: 		}
	RETURN
; end of _ReadEEPROM

_WriteEEPROM_0_bank:

;I2C.c,47 :: 		void WriteEEPROM_0_bank(char adr)                                              //   2404  0-256 
;I2C.c,50 :: 		for (k=0; k<64; k++)
	CLRF       WriteEEPROM_0_bank_k_L0+0
L_WriteEEPROM_0_bank3:
	MOVLW      64
	SUBWF      WriteEEPROM_0_bank_k_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_WriteEEPROM_0_bank4
;I2C.c,52 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,53 :: 		I2C1_Wr(0xA0);                                                                // send byte via I2C  (device address + 0_ + W)
	MOVLW      160
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,54 :: 		I2C1_Wr(k + adr);                                                                   // send byte (address of EEPROM location)
	MOVF       FARG_WriteEEPROM_0_bank_adr+0, 0
	ADDWF      WriteEEPROM_0_bank_k_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,55 :: 		I2C1_Wr(BUFfrom[k]);                                                          // send data (data to be written)
	MOVF       WriteEEPROM_0_bank_k_L0+0, 0
	ADDLW      _BUFfrom+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,56 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,57 :: 		Delay_ms(1);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_WriteEEPROM_0_bank6:
	DECFSZ     R13+0, 1
	GOTO       L_WriteEEPROM_0_bank6
	DECFSZ     R12+0, 1
	GOTO       L_WriteEEPROM_0_bank6
;I2C.c,50 :: 		for (k=0; k<64; k++)
	INCF       WriteEEPROM_0_bank_k_L0+0, 1
;I2C.c,58 :: 		}                                                                             // issue I2C stop signal
	GOTO       L_WriteEEPROM_0_bank3
L_WriteEEPROM_0_bank4:
;I2C.c,59 :: 		ByteRS=0;
	CLRF       _ByteRS+0
;I2C.c,60 :: 		}
	RETURN
; end of _WriteEEPROM_0_bank

_WriteEEPROM_1_bank:

;I2C.c,62 :: 		void WriteEEPROM_1_bank(char adr)                                                   //   2404  257-512 
;I2C.c,65 :: 		for (k=0; k<64; k++)
	CLRF       WriteEEPROM_1_bank_k_L0+0
L_WriteEEPROM_1_bank7:
	MOVLW      64
	SUBWF      WriteEEPROM_1_bank_k_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_WriteEEPROM_1_bank8
;I2C.c,67 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,68 :: 		I2C1_Wr(0xA2);                                                                // send byte via I2C  (device address + 1_ + W)
	MOVLW      162
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,69 :: 		I2C1_Wr(k + adr);                                                                   // send byte (address of EEPROM location)
	MOVF       FARG_WriteEEPROM_1_bank_adr+0, 0
	ADDWF      WriteEEPROM_1_bank_k_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,70 :: 		I2C1_Wr(BUFfrom[k]);                                                          // send data (data to be written)
	MOVF       WriteEEPROM_1_bank_k_L0+0, 0
	ADDLW      _BUFfrom+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,71 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,72 :: 		Delay_ms(1);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_WriteEEPROM_1_bank10:
	DECFSZ     R13+0, 1
	GOTO       L_WriteEEPROM_1_bank10
	DECFSZ     R12+0, 1
	GOTO       L_WriteEEPROM_1_bank10
;I2C.c,65 :: 		for (k=0; k<64; k++)
	INCF       WriteEEPROM_1_bank_k_L0+0, 1
;I2C.c,73 :: 		}                                                                             // issue I2C stop signal
	GOTO       L_WriteEEPROM_1_bank7
L_WriteEEPROM_1_bank8:
;I2C.c,74 :: 		ByteRS=0;
	CLRF       _ByteRS+0
;I2C.c,75 :: 		}
	RETURN
; end of _WriteEEPROM_1_bank

_CopyEEPROM:

;I2C.c,77 :: 		void CopyEEPROM(char adr_h, char adr_l, char txt[16])                                                          //    24512  2404 512 
;I2C.c,103 :: 		ByteRS=0;
	CLRF       _ByteRS+0
;I2C.c,104 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;I2C.c,105 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,106 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,107 :: 		Lcd_Out(1,4,txt);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       FARG_CopyEEPROM_txt+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,108 :: 		Lcd_Out(2,2,txt1);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt1+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,110 :: 		}
	RETURN
; end of _CopyEEPROM

_FormatEEPROM:

;I2C.c,112 :: 		void FormatEEPROM(void)                                                       //   2404
;I2C.c,115 :: 		for (i=0; i<=255; i++)
	CLRF       FormatEEPROM_i_L0+0
	CLRF       FormatEEPROM_i_L0+1
L_FormatEEPROM11:
	MOVF       FormatEEPROM_i_L0+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__FormatEEPROM39
	MOVF       FormatEEPROM_i_L0+0, 0
	SUBLW      255
L__FormatEEPROM39:
	BTFSS      STATUS+0, 0
	GOTO       L_FormatEEPROM12
;I2C.c,117 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,118 :: 		I2C1_Wr(0xA0);                                                                // send byte via I2C  (device address + 0_bank + W)
	MOVLW      160
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,119 :: 		I2C1_Wr(i);                                                                   // send byte (address of EEPROM location)
	MOVF       FormatEEPROM_i_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,120 :: 		I2C1_Wr(0xFF);                                                                //    
	MOVLW      255
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,121 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,122 :: 		Delay_ms(1);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_FormatEEPROM14:
	DECFSZ     R13+0, 1
	GOTO       L_FormatEEPROM14
	DECFSZ     R12+0, 1
	GOTO       L_FormatEEPROM14
;I2C.c,115 :: 		for (i=0; i<=255; i++)
	INCF       FormatEEPROM_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       FormatEEPROM_i_L0+1, 1
;I2C.c,123 :: 		}
	GOTO       L_FormatEEPROM11
L_FormatEEPROM12:
;I2C.c,124 :: 		for (i=0; i<=255; i++)
	CLRF       FormatEEPROM_i_L0+0
	CLRF       FormatEEPROM_i_L0+1
L_FormatEEPROM15:
	MOVF       FormatEEPROM_i_L0+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__FormatEEPROM40
	MOVF       FormatEEPROM_i_L0+0, 0
	SUBLW      255
L__FormatEEPROM40:
	BTFSS      STATUS+0, 0
	GOTO       L_FormatEEPROM16
;I2C.c,126 :: 		I2C1_Start();                                                                 // issue I2C start signal
	CALL       _I2C1_Start+0
;I2C.c,127 :: 		I2C1_Wr(0xA2);                                                                // send byte via I2C  (device address + 1_bank + W)
	MOVLW      162
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,128 :: 		I2C1_Wr(i);                                                                   // send byte (address of EEPROM location)
	MOVF       FormatEEPROM_i_L0+0, 0
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,129 :: 		I2C1_Wr(0xFF);                                                                //     000
	MOVLW      255
	MOVWF      FARG_I2C1_Wr_data_+0
	CALL       _I2C1_Wr+0
;I2C.c,130 :: 		I2C1_Stop();                                                                  // issue I2C stop signal
	CALL       _I2C1_Stop+0
;I2C.c,131 :: 		Delay_ms(1);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_FormatEEPROM18:
	DECFSZ     R13+0, 1
	GOTO       L_FormatEEPROM18
	DECFSZ     R12+0, 1
	GOTO       L_FormatEEPROM18
;I2C.c,124 :: 		for (i=0; i<=255; i++)
	INCF       FormatEEPROM_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       FormatEEPROM_i_L0+1, 1
;I2C.c,132 :: 		}                                                                             // issue I2C stop signal
	GOTO       L_FormatEEPROM15
L_FormatEEPROM16:
;I2C.c,133 :: 		ByteRS=0;
	CLRF       _ByteRS+0
;I2C.c,134 :: 		UART1_Write_Text("FORMAT EEPROM OK");
	MOVLW      ?lstr1_I2C+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;I2C.c,135 :: 		Lcd_Cmd(_LCD_CLEAR);                                                          // Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,136 :: 		Lcd_Out(1,1,"FORMAT EEPROM OK");                                              // Write text in first row
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_I2C+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,137 :: 		}
	RETURN
; end of _FormatEEPROM

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;I2C.c,141 :: 		void interrupt() {
;I2C.c,143 :: 		if (PIR1.F5) {
	BTFSS      PIR1+0, 5
	GOTO       L_interrupt19
;I2C.c,144 :: 		ByteRS=RCREG;
	MOVF       RCREG+0, 0
	MOVWF      _ByteRS+0
;I2C.c,145 :: 		PIR1.F5 = 0;
	BCF        PIR1+0, 5
;I2C.c,146 :: 		}
L_interrupt19:
;I2C.c,147 :: 		}//~
L__interrupt41:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_main:

;I2C.c,150 :: 		void main()
;I2C.c,153 :: 		TRISB=0b00000011;                                                             //0  1    ,   
	MOVLW      3
	MOVWF      TRISB+0
;I2C.c,154 :: 		OPTION_REG.F7 = 0;                                                            //    
	BCF        OPTION_REG+0, 7
;I2C.c,156 :: 		TRISC=0b11111111;                                                             //
	MOVLW      255
	MOVWF      TRISC+0
;I2C.c,157 :: 		INTCON.F6 = 1;                                                                //    
	BSF        INTCON+0, 6
;I2C.c,158 :: 		OPTION_REG.F6 = 1;                                                            //      INT
	BSF        OPTION_REG+0, 6
;I2C.c,159 :: 		INTCON.F4 = 0;                                                                //     INT __________________
	BCF        INTCON+0, 4
;I2C.c,160 :: 		PIE1.F5 = 1;                                                                  //    USART
	BSF        PIE1+0, 5
;I2C.c,161 :: 		INTCON.F7 = 1;                                                                //  
	BSF        INTCON+0, 7
;I2C.c,162 :: 		UART1_Init(9600);                                                             // UART module  9600 bps
	MOVLW      129
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;I2C.c,163 :: 		Delay_ms(100);                                                                //  UART module 
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main20:
	DECFSZ     R13+0, 1
	GOTO       L_main20
	DECFSZ     R12+0, 1
	GOTO       L_main20
	DECFSZ     R11+0, 1
	GOTO       L_main20
	NOP
	NOP
;I2C.c,166 :: 		UART1_Write_Text("Start\n");                                                  //  Usart
	MOVLW      ?lstr3_I2C+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;I2C.c,167 :: 		ADCON1 = 0x06;                                                                // PORTA 
	MOVLW      6
	MOVWF      ADCON1+0
;I2C.c,168 :: 		I2C1_Init(100000);                                                            // initialize I2C communication
	MOVLW      50
	MOVWF      SSPADD+0
	CALL       _I2C1_Init+0
;I2C.c,170 :: 		Lcd_Init();                                                                   // Initialize LCD
	CALL       _Lcd_Init+0
;I2C.c,171 :: 		Lcd_Cmd(_LCD_CLEAR);                                                          // Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,172 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);                                                     // Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;I2C.c,173 :: 		Lcd_Out(1,1,"RUSSO_TURISTO");                                                 // Write text in first row
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr4_I2C+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,174 :: 		Lcd_Out(2,4,"COPY EEPROM");                                                   // Write text in second row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr5_I2C+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;I2C.c,175 :: 		Delay_ms(2000);
	MOVLW      51
	MOVWF      R11+0
	MOVLW      187
	MOVWF      R12+0
	MOVLW      223
	MOVWF      R13+0
L_main21:
	DECFSZ     R13+0, 1
	GOTO       L_main21
	DECFSZ     R12+0, 1
	GOTO       L_main21
	DECFSZ     R11+0, 1
	GOTO       L_main21
	NOP
	NOP
;I2C.c,177 :: 		while (1)
L_main22:
;I2C.c,179 :: 		switch (ByteRS)
	GOTO       L_main24
;I2C.c,181 :: 		case '1': CopyEEPROM(0x00,0x00,"SCX-4200"); break;                                 //
L_main26:
	CLRF       FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr6_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,182 :: 		case '2': CopyEEPROM(0x02,0x00,"SCX-4520"); break;                                 //
L_main27:
	MOVLW      2
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr7_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,183 :: 		case '3': CopyEEPROM(0x04,0x00,"SCX-4720"); break;                                 //
L_main28:
	MOVLW      4
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr8_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,184 :: 		case '4': CopyEEPROM(0x06,0x00,"SCX-5330"); break;                                 //
L_main29:
	MOVLW      6
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr9_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,185 :: 		case '5': CopyEEPROM(0x08,0x00,"SCX-6320"); break;                                 //
L_main30:
	MOVLW      8
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr10_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,186 :: 		case '6': CopyEEPROM(0x0A,0x00,"ML-2150"); break;                                 //
L_main31:
	MOVLW      10
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr11_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,187 :: 		case '7': CopyEEPROM(0x0C,0x00,"ML-2250"); break;                                 //
L_main32:
	MOVLW      12
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr12_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,188 :: 		case '8': CopyEEPROM(0x0E,0x00,"ML-2550"); break;                                 //
L_main33:
	MOVLW      14
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr13_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,189 :: 		case '9': CopyEEPROM(0x10,0x00,"ML-2850"); break;                                 //
L_main34:
	MOVLW      16
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr14_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,190 :: 		case 'A': CopyEEPROM(0x12,0x00,"ML-3470"); break;                                 //
L_main35:
	MOVLW      18
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr15_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,191 :: 		case 'B': CopyEEPROM(0x14,0x00,"ML-3560"); break;                                 //
L_main36:
	MOVLW      20
	MOVWF      FARG_CopyEEPROM_adr_h+0
	CLRF       FARG_CopyEEPROM_adr_l+0
	MOVLW      ?lstr16_I2C+0
	MOVWF      FARG_CopyEEPROM_txt+0
	CALL       _CopyEEPROM+0
	GOTO       L_main25
;I2C.c,193 :: 		case 'F': FormatEEPROM(); break;                                        // 
L_main37:
	CALL       _FormatEEPROM+0
	GOTO       L_main25
;I2C.c,194 :: 		default : break;                                                        //  
L_main38:
	GOTO       L_main25
;I2C.c,195 :: 		}
L_main24:
	MOVF       _ByteRS+0, 0
	XORLW      49
	BTFSC      STATUS+0, 2
	GOTO       L_main26
	MOVF       _ByteRS+0, 0
	XORLW      50
	BTFSC      STATUS+0, 2
	GOTO       L_main27
	MOVF       _ByteRS+0, 0
	XORLW      51
	BTFSC      STATUS+0, 2
	GOTO       L_main28
	MOVF       _ByteRS+0, 0
	XORLW      52
	BTFSC      STATUS+0, 2
	GOTO       L_main29
	MOVF       _ByteRS+0, 0
	XORLW      53
	BTFSC      STATUS+0, 2
	GOTO       L_main30
	MOVF       _ByteRS+0, 0
	XORLW      54
	BTFSC      STATUS+0, 2
	GOTO       L_main31
	MOVF       _ByteRS+0, 0
	XORLW      55
	BTFSC      STATUS+0, 2
	GOTO       L_main32
	MOVF       _ByteRS+0, 0
	XORLW      56
	BTFSC      STATUS+0, 2
	GOTO       L_main33
	MOVF       _ByteRS+0, 0
	XORLW      57
	BTFSC      STATUS+0, 2
	GOTO       L_main34
	MOVF       _ByteRS+0, 0
	XORLW      65
	BTFSC      STATUS+0, 2
	GOTO       L_main35
	MOVF       _ByteRS+0, 0
	XORLW      66
	BTFSC      STATUS+0, 2
	GOTO       L_main36
	MOVF       _ByteRS+0, 0
	XORLW      70
	BTFSC      STATUS+0, 2
	GOTO       L_main37
	GOTO       L_main38
L_main25:
;I2C.c,196 :: 		}                                                                            //   
	GOTO       L_main22
;I2C.c,197 :: 		}                                                                               //  
	GOTO       $+0
; end of _main
