#line 1 "J:/I2C/I2C.c"

char uart_rd;
unsigned short BUFfrom[64];

char txt[16];
char txt1[] = "PROGRAMMED OK";
volatile unsigned short ByteRS;


 sbit LCD_RS at RB2_bit;
 sbit LCD_EN at RB3_bit;
 sbit LCD_D4 at RB4_bit;
 sbit LCD_D5 at RB5_bit;
 sbit LCD_D6 at RB6_bit;
 sbit LCD_D7 at RB7_bit;

 sbit LCD_RS_Direction at TRISB2_bit;
 sbit LCD_EN_Direction at TRISB3_bit;
 sbit LCD_D4_Direction at TRISB4_bit;
 sbit LCD_D5_Direction at TRISB5_bit;
 sbit LCD_D6_Direction at TRISB6_bit;
 sbit LCD_D7_Direction at TRISB7_bit;




 void ReadEEPROM(char adr_h, char adr_l)

{
 unsigned short k;

 for (k=0; k<64; k++)
 {
 I2C1_Start();
 I2C1_Wr(0xA2);
 I2C1_Wr(adr_h);
 I2C1_Wr(k + adr_l);
 I2C1_Repeated_Start();
 I2C1_Wr(0xA3);
 BUFfrom[k] = I2C1_Rd(0u);
 I2C1_Stop();

 }
 ByteRS=0;
}

 void WriteEEPROM_0_bank(char adr)
 {
 unsigned short k;
 for (k=0; k<64; k++)
 {
 I2C1_Start();
 I2C1_Wr(0xA0);
 I2C1_Wr(k + adr);
 I2C1_Wr(BUFfrom[k]);
 I2C1_Stop();
 Delay_ms(1);
 }
 ByteRS=0;
 }

 void WriteEEPROM_1_bank(char adr)
 {
 unsigned short k;
 for (k=0; k<64; k++)
 {
 I2C1_Start();
 I2C1_Wr(0xA2);
 I2C1_Wr(k + adr);
 I2C1_Wr(BUFfrom[k]);
 I2C1_Stop();
 Delay_ms(1);
 }
 ByteRS=0;
 }

 void CopyEEPROM(char adr_h, char adr_l, char txt[16])
 {
#line 103 "J:/I2C/I2C.c"
 ByteRS=0;
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 Lcd_Out(1,4,txt);
 Lcd_Out(2,2,txt1);

 }

 void FormatEEPROM(void)
 {
 unsigned int i;
 for (i=0; i<=255; i++)
 {
 I2C1_Start();
 I2C1_Wr(0xA0);
 I2C1_Wr(i);
 I2C1_Wr(0xFF);
 I2C1_Stop();
 Delay_ms(1);
 }
 for (i=0; i<=255; i++)
 {
 I2C1_Start();
 I2C1_Wr(0xA2);
 I2C1_Wr(i);
 I2C1_Wr(0xFF);
 I2C1_Stop();
 Delay_ms(1);
 }
 ByteRS=0;
 UART1_Write_Text("FORMAT EEPROM OK");
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Out(1,1,"FORMAT EEPROM OK");
 }



void interrupt() {

 if (PIR1.F5) {
 ByteRS=RCREG;
 PIR1.F5 = 0;
 }
}


void main()
{

 TRISB=0b00000011;
 OPTION_REG.F7 = 0;

 TRISC=0b11111111;
 INTCON.F6 = 1;
 OPTION_REG.F6 = 1;
 INTCON.F4 = 0;
 PIE1.F5 = 1;
 INTCON.F7 = 1;
 UART1_Init(9600);
 Delay_ms(100);


 UART1_Write_Text("Start\n");
 ADCON1 = 0x06;
 I2C1_Init(100000);

 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 Lcd_Out(1,1,"RUSSO_TURISTO");
 Lcd_Out(2,4,"COPY EEPROM");
 Delay_ms(2000);

 while (1)
 {
 switch (ByteRS)
 {
 case '1': CopyEEPROM(0x00,0x00,"SCX-4200"); break;
 case '2': CopyEEPROM(0x02,0x00,"SCX-4520"); break;
 case '3': CopyEEPROM(0x04,0x00,"SCX-4720"); break;
 case '4': CopyEEPROM(0x06,0x00,"SCX-5330"); break;
 case '5': CopyEEPROM(0x08,0x00,"SCX-6320"); break;
 case '6': CopyEEPROM(0x0A,0x00,"ML-2150"); break;
 case '7': CopyEEPROM(0x0C,0x00,"ML-2250"); break;
 case '8': CopyEEPROM(0x0E,0x00,"ML-2550"); break;
 case '9': CopyEEPROM(0x10,0x00,"ML-2850"); break;
 case 'A': CopyEEPROM(0x12,0x00,"ML-3470"); break;
 case 'B': CopyEEPROM(0x14,0x00,"ML-3560"); break;

 case 'F': FormatEEPROM(); break;
 default : break;
 }
 }
}
